public interface SqlInstancesCloneRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesCloneRequest getBody().google.cloud.sql.v1beta4.InstancesCloneRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesCloneRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesCloneRequestOrBuilder getBodyOrBuilder().google.cloud.sql.v1beta4.InstancesCloneRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesCloneRequestOrBuilder |
|
getInstance()
public abstract String getInstance()The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Project ID of the source Cloud SQL instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Project ID of the source Cloud SQL instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody().google.cloud.sql.v1beta4.InstancesCloneRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |